> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Box Doc Gen template tags in template

> Lists all tags in a Box Doc Gen template.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2025.0.json GET /docgen_templates/{template_id}/tags
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: >-
      Box Doc Gen automatically generates documents from Box Doc Gen templates.
      These resources represent the generation jobs and batches returned by the
      Box Doc Gen endpoints, including their status and output files.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /docgen_templates/{template_id}/tags:
    get:
      tags:
        - Box Doc Gen templates
      summary: List all Box Doc Gen template tags in template
      description: Lists all tags in a Box Doc Gen template.
      operationId: get_docgen_templates_id_tags_v2025.0
      parameters:
        - name: template_id
          in: path
          description: ID of template.
          required: true
          schema:
            type: string
          example: 123
        - name: template_version_id
          in: query
          description: Id of template version.
          required: false
          schema:
            type: string
          example: 123
        - name: marker
          in: query
          description: >-
            Defines the position marker at which to begin returning results.
            This is used when paginating using marker-based pagination.


            This requires `usemarker` to be set to `true`.
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: The maximum number of items to return per page.
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: A list of document generation template tags.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocGenTags'
        '202':
          description: Processing tags for the file.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocGenTagsProcessingMessage'
        '400':
          description: >-
            Returned if the user has passed in a malformed marker or limit
            value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: >-
            The client does not have access rights to the content or resource
            requested.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            The requested resource could not be found but may be available in
            the future.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: The user has sent too many requests in a given amount of time.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: An unexpected condition was encountered on the server.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: List all Box Doc Gen template tags in template
          source: |-
            curl -L 'https://api.box.com/2.0/docgen_templates/12345678/tags' \
                 -H 'box-version: 2025.0' \
                 -H 'Authorization: Bearer <ACCESS_TOKEN>'
        - lang: dotnet
          label: List all Box Doc Gen template tags in template
          source: >-
            await
            client.DocgenTemplate.GetDocgenTemplateTagsV2025R0Async(templateId:
            NullableUtils.Unwrap(fetchedDocgenTemplate.File).Id);
        - lang: swift
          label: List all Box Doc Gen template tags in template
          source: >-
            try await
            client.docgenTemplate.getDocgenTemplateTagsV2025R0(templateId:
            fetchedDocgenTemplate.file!.id)
        - lang: java
          label: List all Box Doc Gen template tags in template
          source: >-
            client.getDocgenTemplate().getDocgenTemplateTagsV2025R0(fetchedDocgenTemplate.getFile().getId())
        - lang: node
          label: List all Box Doc Gen template tags in template
          source: |-
            await client.docgenTemplate.getDocgenTemplateTagsV2025R0(
              fetchedDocgenTemplate.file!.id,
            );
        - lang: python
          label: List all Box Doc Gen template tags in template
          source: |-
            client.docgen_template.get_docgen_template_tags_v2025_r0(
                fetched_docgen_template.file.id
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    DocGenTags:
      description: A list of Box Doc Gen tags.
      type: object
      allOf:
        - type: object
          description: The part of an API response that describes marker based pagination.
          properties:
            limit:
              description: >-
                The limit that was used for these entries. This will be the same
                as the `limit` query parameter unless that value exceeded the
                maximum value allowed. The maximum value varies by API.
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: The marker for the start of the next page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: The marker for the start of the previous page of results.
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
        - properties:
            entries:
              description: List of tags.
              type: array
              items:
                $ref: '#/components/schemas/DocGenTag'
      title: Box Doc Gen tags
      x-box-resource-id: docgen_tags_v2025.0
      x-box-tag: docgen_template
    DocGenTagsProcessingMessage:
      description: >-
        A message informing the user that document tags are still being
        processed.
      type: object
      properties:
        message:
          description: >-
            A message informing the user that document tags are still being
            processed.
          type: string
          example: Processing tags for this file.
          readOnly: true
      required:
        - message
      title: Box Doc Gen tags processing message
      x-box-resource-id: docgen_tags_processing_message_v2025.0
      x-box-tag: docgen_template
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2025.0
    DocGenTag:
      description: A Box Doc Gen template tag object.
      type: object
      properties:
        tag_content:
          description: The content of the tag.
          type: string
          example: '{{item.name}}'
          readOnly: true
        tag_type:
          description: Type of the tag.
          type: string
          example: text
          enum:
            - text
            - arithmetic
            - conditional
            - for-loop
            - table-loop
            - image
          readOnly: true
        json_paths:
          description: List of the paths.
          type: array
          items:
            readOnly: true
            type: string
            example: products.name
          example:
            - products
            - products.name
          readOnly: true
      required:
        - tag_content
        - tag_type
        - json_paths
      title: Box Doc Gen template tag
      x-box-resource-id: docgen_tag_v2025.0
      x-box-sanitized: true
      x-box-tag: docgen_template
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````